<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE service-builder PUBLIC "-//Liferay//DTD Service Builder 6.1.0//EN" "http://www.liferay.com/dtd/liferay-service-builder_6_1_0.dtd">
<service-builder package-path="it.unisef.managesales">
	<author>Giulio Piemontese</author>
	<namespace>MS</namespace>

	<entity name="Worker" local-service="true" remote-service="true">

		<!-- PK fields -->

		<column name="workerId" type="long" primary="true" />

		<!-- Audit fields -->

		<column name="companyId" type="long" />
		<column name="userId" type="long" />
		<column name="userName" type="String" />
		<column name="createDate" type="Date" />
		<column name="modifiedDate" type="Date" />

		<column name="groupId" type="long"  />

		<!-- Other fields -->

		<column name="firstName" type="String" />
		<column name="lastName" type="String" />
		<column name="firmId" type="long" />
		<column name="employmentDate" type="Date" />
		<column name="code" type="String" />

		<!-- Order -->

		<order by="asc">
			<order-column name="code" />
		</order>

		<!-- Finder methods -->

		<finder name="C_G" return-type="Collection">
			<finder-column name="companyId" />
			<finder-column name="groupId" />
<!-- 			<finder-column name="userId" /> -->
		</finder>

		<finder name="FirmId" return-type="Collection">
			<finder-column name="firmId" />
		</finder>

	</entity>

		<entity name="Firm" local-service="true" remote-service="true">

		<!-- PK fields -->

		<column name="firmId" type="long" primary="true" />

		<!-- Audit fields -->

		<column name="companyId" type="long" />
		<column name="userId" type="long" />
		<column name="userName" type="String" />
		<column name="createDate" type="Date" />
		<column name="modifiedDate" type="Date" />

		<column name="groupId" type="long"  />

		<!-- Other fields -->

		<column name="name" type="String" />
		<column name="address" type="String" />

		<!-- Order -->

		<order by="asc">
			<order-column name="name" />
		</order>

		<!-- Finder methods -->

		<finder name="C_G" return-type="Collection">
			<finder-column name="companyId" />
			<finder-column name="groupId" />
<!-- 			<finder-column name="userId" /> -->
		</finder>

	</entity>

	<exceptions>
		<exception>FirmName</exception>
		<exception>FirmAddress</exception>
		<exception>WorkerName</exception>
		<exception>WorkerLastName</exception>
		<exception>Code</exception>
	</exceptions>

</service-builder>
